***************
* RAW.ASM
* simple body of a Lynx-program
*
* created : 24.04.96
* changed : 13.07.97
****************
NEWHEAD	set 1
LoadPckUser set 1
LoadPrgUser     SET 1

ANZ_GAMES	set 4

		path "c:\lynx\bll"

			include <macros/hardware.asm>
* macros
					 include <macros/help.mac>
					 include <macros/if_while.mac>
					 include <macros/mikey.mac>
					 include <macros/suzy.mac>
					 include <macros/file.mac>
					 include <macros/font.mac>
					 include <macros/irq.mac>
* variables
					 include <vardefs/help.var>
					 include <vardefs/mikey.var>
					 include <vardefs/suzy.var>
					 include <vardefs/file.var>
					 include <vardefs/font.var>
					 include <vardefs/irq.var>

*
* vars only for this program
*

BEGIN_ZP
selected		ds	1
irq_vektoren	ds	16
END_ZP

BEGIN_MEM
ALIGN #4
screen0	ds SCREEN.LEN
END_MEM

				run  $E000                      ; code somewhere

Start::			; Start-Label needed for reStart
                INITMIKEY
                INITSUZY
                CLEAR_MEM
                CLEAR_ZP +STACK ; clear stack ($100) too
                INITIRQ irq_vektoren
				SCRBASE	screen0
                FRAMERATE 60
                SETRGB pal

                INITFONT LITTLEFNT,RED,WHITE		

				SET_MINMAX 0,0,160,102          ; screen-dim. for FONT.INC		 
				 
;				jsr cls                          ; clear screen with color #0

				SET_XY 10,10
				PRINT program1
				SET_XY 10,20
				PRINT program2
				SET_XY 10,30
				PRINT program3
				SET_XY 10,40
				PRINT program4
				SET_XY 10,50
				PRINT program5
				
.loop

				SET_XY 0,10
				PRINT leer_str
				SET_XY 0,20
				PRINT leer_str
				SET_XY 0,30
				PRINT leer_str
				SET_XY 0,40
				PRINT leer_str
				SET_XY 0,50
				PRINT leer_str

				SET_XY 0,10
				ldx selected
				beq .2
.1					clc
					lda CurrY
					adc #10
					sta CurrY
					dex
					bne .1
.2
				PRINT cursor_str

.keyloop
		lda $fcb0
		beq .keyloop
	
		bit #$03 ; A B
		_IFNE
			lda selected
			inc
			inc
            jsr LoadPrg
		_ENDIF
		bit #$80 ; UP
		_IFNE
			dec selected
			_IFMI
				lda #ANZ_GAMES
				sta selected
			_ENDIF		
		_ELSE
			bit #$40 ; DOWN
			_IFNE
				inc selected
				lda selected
				cmp #ANZ_GAMES+1
				_IFEQ
					stz selected
				_ENDIF
			_ENDIF
		_ENDIF

		WAITNOKEY
		jmp .loop

****************
cls::
					 LDAY clsSCB
					 jmp DrawSprite

clsSCB          dc.b $c0,$90,$00
					 dc.w 0,cls_data
					 dc.w 0,0                        ; X,Y
					 dc.w 160*$100,102*$100          ; size_x,size_y
cls_color       dc.b $00

cls_data        dc.b 2,$10,0


****************
leer_str		dc.b	" ",0
cursor_str		dc.b	">",0
program1		dc.b	"PONG1K 1P",0
program2		dc.b	"PONG1K 2P",0
program3		dc.b	"TRON 6 FUN",0
program4		dc.b	"PONG 4 FUN",0
program5		dc.b	"BUNION",0
program6		dc.b	0

****************
* INCLUDES
                include <includes/font.inc>
                include <includes/irq.inc>
				include <includes/file.inc>
				 include <includes/font2.hlp>
				 include <includes/draw_spr.inc>


pal             STANDARD_PAL
